Telegram APIChatlists
chatlists.exportChatlistInvite
Export a folder », creating a chat folder deep link ».
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Export a folder », creating a chat folder deep link ».
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/chatlists.exportChatlistInvite" \ -H "Content-Type: application/json" \ -d '{ "params": { "chatlist": { "_": "inputChatlistDialogFilter", "filterId": 0 }, "title": "string", "peers": [ { "_": "inputPeerEmpty" } ] } }'{ "result": { "_": "chatlists.exportedChatlistInvite", "filter": { "_": "dialogFilter", "contacts": true, "nonContacts": true, "groups": true, "broadcasts": true, "bots": true, "excludeMuted": true, "excludeRead": true, "excludeArchived": true, "titleNoanimate": true, "id": 0, "title": { "_": "textWithEntities", "text": "string", "entities": [ { "_": "messageEntityUnknown", "offset": 0, "length": 0 } ] }, "emoticon": "string", "color": 0, "pinnedPeers": [ { "_": "inputPeerEmpty" } ], "includePeers": [ { "_": "inputPeerEmpty" } ], "excludePeers": [ { "_": "inputPeerEmpty" } ] }, "invite": { "_": "exportedChatlistInvite", "title": "string", "url": "string", "peers": [ { "_": "peerUser", "userId": 0 } ] } }}editExportedInvite
Edit a [chat folder deep link »](https://core.telegram.org/api/links#chat-folder-links).
getChatlistUpdates
Fetch new chats associated with an imported [chat folder deep link »](https://core.telegram.org/api/links#chat-folder-links). Must be invoked at most every chatlist_update_period seconds (as per the related [client configuration parameter »](https://core.telegram.org/api/config#chatlist-update-period)).